=== test/multi_type_vector/CMakeLists.txt ===

add_subdirectory(default)
add_subdirectory(collection)
add_subdirectory(custom)
add_subdirectory(custom-trait)
add_subdirectory(debug-util)
add_subdirectory(element-blocks)
add_subdirectory(event)
add_subdirectory(perf)
