=== test/multi_type_vector/custom-trait/CMakeLists.txt ===
add_subdirectory(aos)
add_subdirectory(soa)
